.columns {
  display: flex;
}

.column {
  flex: 1;
  max-width: 50%;
}

.top-bar {
  display: flex;
  align-items: center;
  gap: 2em;
}

.edit-action {
  margin: 1em;
}

.output {
  margin: 1em;
  max-height: 25em;
  overflow-y: scroll;
  border: 1px dashed #000;
  font-size: 0.75em;
  white-space: pre-wrap;
}

.notes {
  margin-left: 1em;
}

.note {
  margin-top: 0.5em;
}

.note.collapsed .note-content {
  display: none;
}

.note .collapse-show,
.note .delete,
.note .move-up,
.note .move-down {
  cursor: pointer;
  margin-right: 0.5em;
}

.note-content {
  width: 100%;
  height: 7em;
  resize: vertical;
}

.suggestion-box {
  position: fixed;
  bottom: 10px;
  left: 10px;
  width: 500px;
  height: 100px;
  border: 1px solid #ccc;
  padding: 10px;
  background: #fff9;
  z-index: 1000;
  overflow-y: clip;
}

.tab-header {
  margin: 0 0 0.5em 0.5em;
}

.tab-header button.active {
  font-weight: bold;
  border: none;
  border-bottom: 1px solid #000;
  background: #fff;
}

.reasoning {
  color: #666;
  font-style: italic;
  margin-bottom: 0.5em;
}
